ARG REGISTRY_ADDRESS
ARG NAMESPACE
FROM $REGISTRY_ADDRESS/$NAMESPACE/centos-git:0.2

LABEL vendor="US DOT, FAA, Office of NextGen, Modeling and Simulation Branch" \
      version="0.3" \
      description="Docker container to support software development in CentOS using AdoptOpenJDK OpenJDK 11"

ENV JDK_VERSION=jdk-11.0.2+9 \
    JAVA_HOME=/usr/java/default \
    LANG=en_US.UTF-8 \
    LANGUAGE=en_US:en \
    LC_ALL=en_US.UTF-8
ENV JDK_HOME=${JAVA_HOME}
ENV PATH=$JAVA_HOME/bin:${PATH}

RUN yum -y update && \
    yum clean all

#JDK Setup
RUN mkdir -p /usr/java && \
    curl -jsSL -o /tmp/java.tar.gz https://github.com/AdoptOpenJDK/openjdk11-binaries/releases/download/jdk-11.0.2%2B9/OpenJDK11U-jdk_x64_linux_hotspot_11.0.2_9.tar.gz && \
    tar -zxf /tmp/java.tar.gz -C /usr/java/. && \
    ln -s /usr/java/${JDK_VERSION} /usr/java/default && \
    rm -rf /tmp/*
